Package org.apache.solr.common.util

## Class SolrNamedThreadFactory

- java.lang.Object
- - org.apache.solr.common.util.SolrNamedThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

    public class SolrNamedThreadFactory
    extends Object
    implements ThreadFactory

A `ThreadFactory` that names threads with the given prefix.

### Constructor Summary

Constructors
`SolrNamedThreadFactory​(String namePrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Thread` `newThread​(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrNamedThreadFactory

    public SolrNamedThreadFactory​(String namePrefix)

### Method Detail

#### newThread

    public Thread newThread​(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`